# Uses of Interface
org.eclipse.birt.report.model.api.extension.IReportItem

Packages that use IReportItem
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.

## Uses of IReportItem in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IReportItem
Modifier and Type
Method
Description
`IReportItem`
ExtendedItemHandle.`getReportItem()`
Returns the interface `IReportItem` for extension.

## Uses of IReportItem in org.eclipse.birt.report.model.api.extension

Classes in org.eclipse.birt.report.model.api.extension that implement IReportItem
Modifier and Type
Class
Description
`class`
`ReportItem`
Extension adapter class for the IReportItem.
Methods in org.eclipse.birt.report.model.api.extension that return IReportItem
Modifier and Type
Method
Description
`IReportItem`
IReportItem.`copy()`
Creates deep copy of the IReportItem and return the new element.
`IReportItem`
ReportItem.`copy()`
`IReportItem`
IReportItemFactory.`newReportItem(DesignElementHandle extendedItemHandle)`
Creates a new instance of the extended element given a handle to the BIRT report element that represents the extended element.
`abstract IReportItem`
ReportItemFactory.`newReportItem(DesignElementHandle extendedItemHandle)`